GNU logs - #27295, boring messages


Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27295: 11.90.2; font lock for \autocites
Resent-From: Alex Branham <alex.branham@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Fri, 09 Jun 2017 09:18:01 +0000
Resent-Message-ID: <handler.27295.B.149699986415576 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 27295
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: 27295 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-auctex@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.149699986415576
          (code B ref -1); Fri, 09 Jun 2017 09:18:01 +0000
Received: (at submit) by debbugs.gnu.org; 9 Jun 2017 09:17:44 +0000
Received: from localhost ([127.0.0.1]:35843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dJG36-00043A-C9
	for submit <at> debbugs.gnu.org; Fri, 09 Jun 2017 05:17:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.branham@HIDDEN>) id 1dJG34-00042y-Uf
 for submit <at> debbugs.gnu.org; Fri, 09 Jun 2017 05:17:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1dJG2y-0003Z0-Uc
 for submit <at> debbugs.gnu.org; Fri, 09 Jun 2017 05:17:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52935)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alex.branham@HIDDEN>)
 id 1dJG2y-0003Yw-RW
 for submit <at> debbugs.gnu.org; Fri, 09 Jun 2017 05:17:36 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60814)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1dJG2x-0003Ke-RW
 for bug-auctex@HIDDEN; Fri, 09 Jun 2017 05:17:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1dJG2u-0003Xv-ND
 for bug-auctex@HIDDEN; Fri, 09 Jun 2017 05:17:35 -0400
Received: from mail-lf0-x234.google.com ([2a00:1450:4010:c07::234]:33034)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alex.branham@HIDDEN>)
 id 1dJG2u-0003XJ-DE
 for bug-auctex@HIDDEN; Fri, 09 Jun 2017 05:17:32 -0400
Received: by mail-lf0-x234.google.com with SMTP id m77so2720224lfe.0
 for <bug-auctex@HIDDEN>; Fri, 09 Jun 2017 02:17:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=KwThwg4rFV1V7vzKWV0ZsfbOYTDZe7oHbIi+8rGvSIc=;
 b=FOXWiQ4wHOuDr7hYvZ09BOn6C+jQMoLEXkBjmchmQ0hR++QsCNVrl8Fn5qcULp2OVL
 h6SgpYwsxw1cYW0GQ0gawEayE2FP4nErCU9HOii0HGBsyWWeR+LKKWsjg38vDB+e6pWR
 1A6rQstb/giKnQ6MniV35J0Y1tGeAYI3VpUL/ivhO3V6AIBjUpLWNa9Ns28WIHP60kiB
 H5c4mgsLq4nMM1BHL2ew3r6u4+kra1e5j8p+x6RDwFRdBwkbXURTJ7jl7hTxSdU7NIap
 DmfNo4n9mMXxNNLx633bl628CHceRu8xLZckKBWk5RdYibt/j4mWMDc2IW2SI5JAmfHK
 5j6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=KwThwg4rFV1V7vzKWV0ZsfbOYTDZe7oHbIi+8rGvSIc=;
 b=qMisqucl66bxMSDClGocpmOAzxbCVLl4VheGOd0HXvWrYjLlyHaweB5eWqBBTLcM8f
 lG7rkIejcse2c1Jv7SrXWIcxGXLRhK0BY26Fuc+jOQBTbpb33d2jvZ47jzagEgnPzXhF
 PMUocq/a2zgN0GzZ4EQoC5zEY+Dvv/5gq8uPnQZ/bLndEp/2AoPNKAMyt6KmEzNtAyDN
 hh+mEBGPH3PmB22vM+7zACixGFu1GdWZpI5hFGoaJEyOBEldN/N3rUnHPy9yo17It3Dx
 SrCDpguKKIBMGjlL4MquDg9WMzKmFBbarnYeWDdlxY5444xXb/ev+WlnyudE1c+LzHrT
 nkBw==
X-Gm-Message-State: AODbwcDO3zRYi0mgMrIKbGLhDxLQCSMG0w9F6s4jQPl8zxZ5u0GtgYMT
 bW0EveZRITvVOkK1BJY=
X-Received: by 10.25.157.147 with SMTP id g141mr10996807lfe.125.1496999849249; 
 Fri, 09 Jun 2017 02:17:29 -0700 (PDT)
Received: from mars (edu223147.eduroam.gu.se. [130.241.223.147])
 by smtp.gmail.com with ESMTPSA id t26sm126567lja.58.2017.06.09.02.17.27
 for <bug-auctex@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 09 Jun 2017 02:17:28 -0700 (PDT)
User-agent: mu4e 0.9.18; emacs 25.2.1
From: Alex Branham <alex.branham@HIDDEN>
Date: Fri, 09 Jun 2017 11:17:27 +0200
Message-ID: <878tl1a5aw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hello,

Auctex does not seem to properly font lock \autocites with multiple citations.

\autocites[][]{key1, key2} works fine but \autocites[][]{key1, key2}[but see][]{key3} results in neither "but see" nor "key3" getting the appropriate faces (which should be font-lock-variable-name-face and font-lock-constant-face, I believe).

Thanks!




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Alex Branham <alex.branham@HIDDEN>
Subject: bug#27295: Acknowledgement (11.90.2; font lock for \autocites)
Message-ID: <handler.27295.B.149699986415576.ack <at> debbugs.gnu.org>
References: <878tl1a5aw.fsf@HIDDEN>
X-Gnu-PR-Message: ack 27295
X-Gnu-PR-Package: auctex
Reply-To: 27295 <at> debbugs.gnu.org
Date: Fri, 09 Jun 2017 09:18:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-auctex@HIDDEN

If you wish to submit further information on this problem, please
send it to 27295 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
27295: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D27295
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27295: 11.90.2; font lock for \autocites
Resent-From: Arash Esbati <arash@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Fri, 09 Jun 2017 20:27:02 +0000
Resent-Message-ID: <handler.27295.B27295.14970399751004 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 27295
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: Alex Branham <alex.branham@HIDDEN>
Cc: 27295 <at> debbugs.gnu.org
Received: via spool by 27295-submit <at> debbugs.gnu.org id=B27295.14970399751004
          (code B ref 27295); Fri, 09 Jun 2017 20:27:02 +0000
Received: (at 27295) by debbugs.gnu.org; 9 Jun 2017 20:26:15 +0000
Received: from localhost ([127.0.0.1]:37451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dJQU2-0000G7-Pg
	for submit <at> debbugs.gnu.org; Fri, 09 Jun 2017 16:26:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1dJQU0-0000Fr-PE
 for 27295 <at> debbugs.gnu.org; Fri, 09 Jun 2017 16:26:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arash@HIDDEN>) id 1dJQTs-000207-E2
 for 27295 <at> debbugs.gnu.org; Fri, 09 Jun 2017 16:26:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60517)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arash@HIDDEN>)
 id 1dJQTs-0001zu-9v; Fri, 09 Jun 2017 16:26:04 -0400
Received: from p5b326058.dip0.t-ipconnect.de ([91.50.96.88]:64176 helo=MUTANT)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256) (Exim 4.82)
 (envelope-from <arash@HIDDEN>)
 id 1dJQTr-0007io-Jt; Fri, 09 Jun 2017 16:26:04 -0400
From: Arash Esbati <arash@HIDDEN>
References: <878tl1a5aw.fsf@HIDDEN>
Date: Fri, 09 Jun 2017 22:25:43 +0200
In-Reply-To: <878tl1a5aw.fsf@HIDDEN> (Alex Branham's message of "Fri, 09
 Jun 2017 11:17:27 +0200")
Message-ID: <86ink4x60o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Alex Branham <alex.branham@HIDDEN> writes:

> Auctex does not seem to properly font lock \autocites with multiple
> citations.
>
> \autocites[][]{key1, key2} works fine but \autocites[][]{key1,
> key2}[but see][]{key3} results in neither "but see" nor "key3" getting
> the appropriate faces (which should be font-lock-variable-name-face
> and font-lock-constant-face, I believe).

Hi Alex,

I would say this is by design: \[Aa]utocites take multiple number of
[prenote][postnote]{key} and AUCTeX cannot look ahead to detect the
number of arguments which should be fontified.  Not satisfactory, but
not fixed easily, I think.

Best, Arash




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27295: 11.90.2; font lock for \autocites
Resent-From: Alex Branham <alex.branham@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Sun, 11 Jun 2017 11:40:01 +0000
Resent-Message-ID: <handler.27295.B27295.149718116511789 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 27295
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: Arash Esbati <arash@HIDDEN>
Cc: 27295 <at> debbugs.gnu.org
Received: via spool by 27295-submit <at> debbugs.gnu.org id=B27295.149718116511789
          (code B ref 27295); Sun, 11 Jun 2017 11:40:01 +0000
Received: (at 27295) by debbugs.gnu.org; 11 Jun 2017 11:39:25 +0000
Received: from localhost ([127.0.0.1]:39817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dK1DJ-000343-7B
	for submit <at> debbugs.gnu.org; Sun, 11 Jun 2017 07:39:25 -0400
Received: from mail-lf0-f41.google.com ([209.85.215.41]:35952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.branham@HIDDEN>) id 1dK1DG-00033n-1W
 for 27295 <at> debbugs.gnu.org; Sun, 11 Jun 2017 07:39:23 -0400
Received: by mail-lf0-f41.google.com with SMTP id o83so42272528lff.3
 for <27295 <at> debbugs.gnu.org>; Sun, 11 Jun 2017 04:39:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=Ks6zbkXXA3AO3QXNEN4uo2IofASwf6tL0q2yC7BnhBg=;
 b=qWf7PZA4C9ovEjKo5dWIWgJG/O8o7zO+3ZYqQWupZhicxHW2/3Orc4qzUIxHRWFBr2
 9qmekJDKK+kr8aeHlIicWwfCqfhP2wGISefsARhPzbvMT5Y3FZS2UADGniYv+SiV/qqA
 lOa3nhNJKEwf8DbMS5x5LawxYrDZVKEJ5Vq6rxaV9LMhNZVepaFxgTi/gdfoAc6oTlR9
 nxKbuK2sF6WYDRfL0ht+0T63EXNJ+q9dX7gC5ig0cHIbFOmb2fEgtSsJawQbmBBnX9ML
 /DiROzun3l2RSnOh436IPkr9oXFZHxW/x8WmaunnpzE0PG0Hih1qZ3/wMnRhA74RD7Y3
 iPHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=Ks6zbkXXA3AO3QXNEN4uo2IofASwf6tL0q2yC7BnhBg=;
 b=BwGnHKbr7T8DZQMtdiMWavIpdTSFmLZ+y4N5CX+uGe5fQx/WWM+zstBjM/77PdQEM1
 kmVgeJKGAjqlAR9So3cP3iKnQUkEYXyD+Nv0ib3Q+H905PWQzt3rUmb7USkC4S7yrQS1
 LCjyIlniJmEuKT4AuNJj1yihafrFCONFJe3KNrr6ZJ4EbRRkTxosxzxkqN8+SwNa2TWr
 8lTbsd9dDPzr6fDmpCnMZNnISrATsLx2h0TPCA0E7Yy12C+UpRd9ccyu4xzuy+hXMJMq
 I13A5TO7CHukUkN02bp0pqKvCOLtI0034ftVP7/nsXbiFCMu/tohSfsJfh7AxuP+xF4G
 rCzw==
X-Gm-Message-State: AODbwcAUmCtJf5lkIc6w6DMtd/kTbQnQQmWY1dhicKIsML4iShztXEmU
 2pdT1bHIwMJatW+Q0ZU=
X-Received: by 10.25.23.72 with SMTP id n69mr14241647lfi.93.1497181155852;
 Sun, 11 Jun 2017 04:39:15 -0700 (PDT)
Received: from mars (edu221103.eduroam.gu.se. [130.241.221.103])
 by smtp.gmail.com with ESMTPSA id g142sm1771423lfe.14.2017.06.11.04.39.15
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 11 Jun 2017 04:39:15 -0700 (PDT)
References: <878tl1a5aw.fsf@HIDDEN> <86ink4x60o.fsf@HIDDEN>
User-agent: mu4e 0.9.18; emacs 25.2.1
From: Alex Branham <alex.branham@HIDDEN>
In-reply-to: <86ink4x60o.fsf@HIDDEN>
Date: Sun, 11 Jun 2017 13:39:14 +0200
Message-ID: <87o9tu7nz1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Thanks for the follow up.

I was hoping that something like this could be used: https://fuco1.github.io/2017-06-01-The-absolute-awesomeness-of-anchored-font-lock-matchers.html

Setting the limit might be tricky though. I guess it could be the first close brace with a space or \ after it --- "} " or "}\", perhaps?

Alex

On Fri 09 Jun 2017 at 20:25, Arash Esbati <arash@HIDDEN> wrote:

> Alex Branham <alex.branham@HIDDEN> writes:
>
>> Auctex does not seem to properly font lock \autocites with multiple
>> citations.
>>
>> \autocites[][]{key1, key2} works fine but \autocites[][]{key1,
>> key2}[but see][]{key3} results in neither "but see" nor "key3" getting
>> the appropriate faces (which should be font-lock-variable-name-face
>> and font-lock-constant-face, I believe).
>
> Hi Alex,
>
> I would say this is by design: \[Aa]utocites take multiple number of
> [prenote][postnote]{key} and AUCTeX cannot look ahead to detect the
> number of arguments which should be fontified.  Not satisfactory, but
> not fixed easily, I think.
>
> Best, Arash





Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27295: 11.90.2; font lock for \autocites
Resent-From: Arash Esbati <arash@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Sun, 11 Jun 2017 19:02:02 +0000
Resent-Message-ID: <handler.27295.B27295.149720768425612 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 27295
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: Alex Branham <alex.branham@HIDDEN>
Cc: 27295 <at> debbugs.gnu.org
Received: via spool by 27295-submit <at> debbugs.gnu.org id=B27295.149720768425612
          (code B ref 27295); Sun, 11 Jun 2017 19:02:02 +0000
Received: (at 27295) by debbugs.gnu.org; 11 Jun 2017 19:01:24 +0000
Received: from localhost ([127.0.0.1]:41412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dK871-0006f2-QL
	for submit <at> debbugs.gnu.org; Sun, 11 Jun 2017 15:01:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1dK870-0006ep-6x
 for 27295 <at> debbugs.gnu.org; Sun, 11 Jun 2017 15:01:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arash@HIDDEN>) id 1dK86r-00014y-KS
 for 27295 <at> debbugs.gnu.org; Sun, 11 Jun 2017 15:01:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60150)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arash@HIDDEN>)
 id 1dK86r-00014d-Gv; Sun, 11 Jun 2017 15:01:13 -0400
Received: from p4fe3e936.dip0.t-ipconnect.de ([79.227.233.54]:52945
 helo=MUTANT)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <arash@HIDDEN>)
 id 1dK86p-0005bZ-Rj; Sun, 11 Jun 2017 15:01:12 -0400
From: Arash Esbati <arash@HIDDEN>
References: <878tl1a5aw.fsf@HIDDEN> <86ink4x60o.fsf@HIDDEN>
 <87o9tu7nz1.fsf@HIDDEN>
Date: Sun, 11 Jun 2017 21:01:00 +0200
In-Reply-To: <87o9tu7nz1.fsf@HIDDEN> (Alex Branham's message of "Sun, 11
 Jun 2017 13:39:14 +0200")
Message-ID: <86o9tu5oyb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Alex Branham <alex.branham@HIDDEN> writes:

> I was hoping that something like this could be used:
> https://fuco1.github.io/2017-06-01-The-absolute-awesomeness-of-anchored-font-lock-matchers.html
>
> Setting the limit might be tricky though. I guess it could be the
> first close brace with a space or \ after it --- "} " or "}\",
> perhaps?

AUCTeX usually fontifies a fixed number of arguments, check here for how
[Aa]utocites are coded [1].  I'm not sure if it possible to change this
behavior without bigger surgery in font-latex.el.  OTOH, patches are
always welcome :-)

Best, Arash

Footnotes: 
[1]  http://git.savannah.gnu.org/cgit/auctex.git/tree/font-latex.el#n321





Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.